*{
margin:0;
padding:0;
box-sizing:border-box;
}

html{
scroll-behavior:smooth;
}

body{

font-family:Inter,sans-serif;

background:#050505;

color:white;

overflow-x:hidden;

}

.grid{

position:fixed;

width:100%;

height:100%;

background-image:
linear-gradient(rgba(255,255,255,.03) 1px,transparent 1px),
linear-gradient(90deg,rgba(255,255,255,.03) 1px,transparent 1px);

background-size:60px 60px;

z-index:-5;

}

.blob{

position:fixed;

width:500px;

height:500px;

border-radius:50%;

filter:blur(140px);

opacity:.25;

animation:float 12s infinite ease-in-out;

}

.one{

background:#0077ff;

left:-150px;

top:-120px;

}

.two{

background:#9d00ff;

right:-120px;

bottom:-100px;

animation-delay:5s;

}

@keyframes float{

50%{

transform:translateY(80px) translateX(50px);

}

}

#loader{

position:fixed;

inset:0;

background:black;

display:flex;

justify-content:center;

align-items:center;

z-index:999;

transition:1s;

}

.line{

opacity:0;

animation:appear .8s forwards;

font-size:20px;

font-family:monospace;

}

.delay1{animation-delay:1s;}
.delay2{animation-delay:2s;}
.delay3{animation-delay:3s;}

@keyframes appear{

to{

opacity:1;

}

}

.hero{

min-height:100vh;

display:flex;

flex-direction:column;

justify-content:center;

align-items:center;

text-align:center;

padding:40px;

}

.tag{

letter-spacing:5px;

color:#6ea8ff;

margin-bottom:20px;

}

h1{

font-size:clamp(60px,9vw,120px);

font-weight:800;

line-height:.95;

max-width:1000px;

}

.subtitle{

margin-top:40px;

max-width:700px;

font-size:22px;

line-height:1.8;

opacity:.7;

}

.button{

margin-top:60px;

text-decoration:none;

padding:18px 42px;

border:1px solid rgba(255,255,255,.15);

border-radius:50px;

color:white;

transition:.3s;

backdrop-filter:blur(10px);

}

.button:hover{

background:white;

color:black;

transform:translateY(-5px);

}

section{

padding:180px 10%;

max-width:1200px;

margin:auto;

}

section h2{

font-size:clamp(42px,7vw,90px);

line-height:1;

margin-bottom:30px;

}

section p{

font-size:22px;

opacity:.75;

line-height:1.8;

max-width:700px;

}

.socials{

margin-top:60px;

display:flex;

gap:30px;

}

.socials a{

color:white;

text-decoration:none;

opacity:.7;

}

.socials a:hover{

opacity:1;

}